var imgNode = "";
var imgNodeStyle = "border: 1px solid rgb(170, 170, 255);";

function showImageInit( e ) {
	var menu = document.getElementById("contentAreaContextMenu");
	menu.addEventListener("popupshowing",showImageContext,false);
	return;
}

function showImageContext(e) {
	document.getElementById("show-image").hidden = true;
	if( gContextMenu.onImage && ((!gContextMenu.target.naturalWidth) || (!gContextMenu.target.complete)) ) {
		document.getElementById("show-image").hidden = false;
	}
	imgNode = gContextMenu.target;
	return;
}

function performShowImage() {
	var imgurl = imgNode.getAttribute("src");
	imgNode.setAttribute("src", "");
	resetImgNode();
	var docShell = getBrowser().docShell;
	docShell.QueryInterface(Components.interfaces.nsIDocShell);
	if( docShell.allowImages == false ) {
		docShell.allowImages = true;
		imgNode.setAttribute("src", imgurl);
		docShell.allowImages = false;
	} else {
		imgNode.setAttribute("src", imgurl);
	}
	return;
}

function resetImgNode(){
	var modifiedStyle = imgNode.getAttribute("style");
	if( modifiedStyle ) {
		if( modifiedStyle == imgNodeStyle) {
			imgNode.removeAttribute("style");
		}else{
			var positionImgNodeStyle = modifiedStyle.indexOf(imgNodeStyle);
			var originalStyle = modifiedStyle.substring(0, positionImgNodeStyle);
			originalStyle += modifiedStyle.substring(positionImgNodeStyle+imgNodeStyle.length+1, originalStyle.length-1);
			imgNode.setAttribute("style", originalStyle );
		}
	}
	return;
}

function loadPageInit( e ) {
	var docShell = getBrowser().docShell;
	docShell.QueryInterface(Components.interfaces.nsIDocShell);
	if( docShell.allowImages == false ) {
		var imgNodes = document.commandDispatcher.focusedWindow.document.getElementsByTagName("img");
		for( var i = 0; i < imgNodes.length; i++ ){
			var imgOriginalStyle = imgNodes[i].getAttribute("style");
			if( imgOriginalStyle ) {
				imgNodes[i].setAttribute("style", imgOriginalStyle + imgNodeStyle);
			} else {
				imgNodes[i].setAttribute("style", imgNodeStyle );
			}
		}
	}
	return;
}

window.addEventListener("load", showImageInit, false);
document.addEventListener("load", loadPageInit, true);

